package org.apache.bcel.generic;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import org.apache.bcel.ExceptionConst;
import org.apache.bcel.generic.ExceptionThrower;
import org.apache.bcel.generic.Instruction;
import org.apache.bcel.generic.UnconditionalBranch;
import org.apache.bcel.generic.Visitor;

public class ATHROW extends Instruction implements UnconditionalBranch, ExceptionThrower {
  public ATHROW() {
    super((short)191, (short)1);
  }
  
  public void accept(Visitor v) {
    v.visitUnconditionalBranch(this);
    v.visitExceptionThrower(this);
    v.visitATHROW(this);
  }
  
  public Class<?>[] getExceptions() {
    return new Class[] { ExceptionConst.THROWABLE };
  }
}
